DrawERRelationshipArc
Keywords: uk.ac.ic.doc.automed.editor.drawables.DrawERRelationshipArc class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.drawables
Class DrawERRelationshipArc

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawArc
          uk.ac.ic.doc.automed.editor.drawables.DrawERRelationshipArc

All Implemented Interfaces:
  Drawable, DrawableArc

Direct Known Subclasses:
  DrawEERRelationshipArc

    public class DrawERRelationshipArc

extends DrawArc

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawArc
`d, dashedStroke, ep, fm, p, standardStroke, thickness, thickStroke`

Constructor Summary
`DrawERRelationshipArc(EditorPanel ep, Positionable rel, Positionable[] entities)`

Method Summary
`void` | `cardString(java.awt.Graphics2D g, java.lang.String s, java.awt.Point p1, java.awt.Point p2)` Place a string neer the p1 end of a line between p1 and p2 such that it will not overlap the object p1 might connect to.
`java.lang.String` | `getNthCard(int n, java.lang.Object[] o)`
`void` | `paintComponent(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawArc
`drawArrow, getConnectsTo, getPositionable, getPositionables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawERRelationshipArc

    public DrawERRelationshipArc(EditorPanel ep,
                                 Positionable rel,
                                 Positionable[] entities)

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics2D g)

  Specified by:
    `paintComponent` in interface `Drawable`
  Overrides:
    `paintComponent` in class `DrawArc`

### getNthCard

    public java.lang.String getNthCard(int n,
                                       java.lang.Object[] o)

### cardString

    public void cardString(java.awt.Graphics2D g,
                           java.lang.String s,
                           java.awt.Point p1,
                           java.awt.Point p2)

  Place a string neer the p1 end of a line between p1 and p2 such that it will not overlap the object p1 might connect to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD